package com.fdkankan.ucenter.annotation;

import java.lang.annotation.*;

/**
 * 验签注解
 * 被此注解标记的方法需要进行签名验证
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface VerifySign {
    /**
     * 是否启用验签，默认true
     */
    boolean enabled() default true;

    /**
     * 签名参数名，默认"sign"
     */
    String signParam() default "sign";
    /**
     * appId参数名，默认"appId"
     */
    String appId() default "appId";
}
